<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <title>Login </title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
</head>
<body>

<div class="jumbotron text-center">
    <h1>Login In </h1>
</div>

<div class="container">
    <div class="row">
        <div class="col-sm-4">

        </div>
        <div class="col-sm-4" style="text-align: center">
            <p>
                <i th:if="${param.error}" class="error">Wrong username or password.</i>
            </p>
            <p>
                <i th:if="${param.logout}">You have been logged out.</i>
            </p>
            <form th:action="@{/authenticate}" method="post">
                <label>Username:</label>
                <br/>
                <input type="text" id="username" name="username"/>
                <br/>
                <label>Password:</label>
                <br/>
                <input type="password" id="password" name="password"/>
                <br/><br/>
                <input type="submit" value="Login"/>
            </form>
            <h3>
                <a th:href="@{/}">Register</a>
            </h3>
        </div>
        <div class="col-sm-4">

        </div>
    </div>
</div>

</body>
</html>